Update user status in a Workspace
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`User.Workspace` + `Update`
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge></div>
</Info>
Update a user's status in the requested Workspace.
- Allowed statuses: `ACTIVE` (1) and `SUSPENDED` (2)
- If the user is suspended in their default Workspace, the next active Workspace is assigned as the default Workspace.
<Warning>
You must have **Administrator** access in the requested Workspace to update user statuses.
</Warning>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
user_id
User ID
workspace_id
Numerical ID of a Workspace
Request
This endpoint expects an object.
status
Response
Successfully updated the user status
Errors
403
Forbidden Error